python-pygrace_0.4p2-3_all.deb


Advertisement

Description

python-pygrace - Python bindings for grace

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name python-pygrace
Package version 0.4p2
Package release 3
Package architecture all
Package type deb
Installed size 126 B
Download size 18.83 KB
Official Mirror ftp.br.debian.org
Grace is a point-and-click tool that allows the user to draw X-Y plots.
So python-grace inherits: User defined scaling, tick marks, labels,
symbols, line styles, colors. Polynomial regression, splines, running
averages, DFT/FFT, cross/auto-correlation, etc.
In addition, python-grace interacts nicely with numpy.

Alternatives

Package Version Architecture Repository
python-pygrace_0.4p2-3_all.deb 0.4p2 all Debian Main
python-pygrace - - -

Requires

Name Value
grace >= 1:5.1.22
python >= 2.6.6-7~
python << 2.8
python-numpy -
python2.6 -
python2.7 -

Download

Type URL
Binary Package python-pygrace_0.4p2-3_all.deb
Source Package pygrace

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pygrace deb package:
    # sudo apt-get install python-pygrace

Files

Path
/usr/lib/python2.6/dist-packages/pygrace/__init__.py
/usr/lib/python2.6/dist-packages/pygrace/gracePlot.py
/usr/lib/python2.6/dist-packages/pygrace/grace_np.py
/usr/lib/python2.6/dist-packages/pygrace/pygrace.py
/usr/lib/python2.6/dist-packages/pygrace-0.4.egg-info/PKG-INFO
/usr/lib/python2.6/dist-packages/pygrace-0.4.egg-info/SOURCES.txt
/usr/lib/python2.6/dist-packages/pygrace-0.4.egg-info/dependency_links.txt
/usr/lib/python2.6/dist-packages/pygrace-0.4.egg-info/requires.txt
/usr/lib/python2.6/dist-packages/pygrace-0.4.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pygrace/__init__.py
/usr/lib/python2.7/dist-packages/pygrace/gracePlot.py
/usr/lib/python2.7/dist-packages/pygrace/grace_np.py
/usr/lib/python2.7/dist-packages/pygrace/pygrace.py
/usr/lib/python2.7/dist-packages/pygrace-0.4.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pygrace-0.4.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/pygrace-0.4.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pygrace-0.4.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pygrace-0.4.egg-info/top_level.txt
/usr/share/doc/python-pygrace/README.Debian
/usr/share/doc/python-pygrace/README.txt
/usr/share/doc/python-pygrace/changelog.Debian.gz
/usr/share/doc/python-pygrace/copyright
/usr/share/pyshared/pygrace/__init__.py
/usr/share/pyshared/pygrace/gracePlot.py
/usr/share/pyshared/pygrace/grace_np.py
/usr/share/pyshared/pygrace/pygrace.py
/usr/share/pyshared/pygrace-0.4.egg-info/PKG-INFO
/usr/share/pyshared/pygrace-0.4.egg-info/SOURCES.txt
/usr/share/pyshared/pygrace-0.4.egg-info/dependency_links.txt
/usr/share/pyshared/pygrace-0.4.egg-info/requires.txt
/usr/share/pyshared/pygrace-0.4.egg-info/top_level.txt

Changelog

2011-09-23 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4p2-3) unstable; urgency=low
* added --with python2 in debian/rules. Closes: #642457
2011-09-01 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4p2-2) unstable; urgency=low
* removed the build-dependency on python-central, added one on 
python-setuptools. Closes: #640039
2011-08-27 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4p2-1) unstable; urgency=low
* upgraded to the newest upstream version
2011-06-10 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4-5) unstable; urgency=low
* modified the Makefile debian/rules and debian/control. Closes: #628355
* updated Standards-Version to 3.9.2
2011-04-13 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4-4) unstable; urgency=low
* relaxed a little the constraint on the version number of grace.
* cleaned the debian directory from useless files
2011-04-02 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4-3) unstable; urgency=low
* added a __repr__ method as python 2.6.6 requires it to be defined.
2011-03-19 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4-2) unstable; urgency=low
* upgraded to new standards of debhelper, adopted the format quilt (3.0),
adapted to python-all
* Initial release. Closes: #618891
2009-09-15 - Georges Khaznadar <georgesk@ofset.org>
pygrace (0.4-1) unstable; urgency=low
* first debianization work, publication at debian.ofset.org

See Also

Package Description
python-pygraph_1.8.2-6_all.deb library for working with graphs in Python
python-pygraphviz_1.3~rc2-1_i386.deb Python interface to the Graphviz graph layout and visualization package
python-pygresql_4.0-3.1_i386.deb PostgreSQL module for Python
python-pyhsm_1.0.4k-3_all.deb Python code for talking to a Yubico YubiHSM hardware
python-pyicu_1.8-1_i386.deb Python extension wrapping the ICU C++ API
python-pyinotify-doc_0.9.4-1_all.deb simple Linux inotify Python bindings -- documentation
python-pyinotify_0.9.4-1_all.deb simple Linux inotify Python bindings
python-pyip_0.7-2_all.deb Python modules for raw ip packet assembling/disassembling
python-pyisomd5sum_1.0.11-1_i386.deb ISO9660 checksum Python module
python-pyjavaproperties_0.6-2_all.deb Python implementation of java.util.Properties
python-pykaraoke_0.7.5-1.1_i386.deb free CDG/MIDI/MPEG karaoke player
python-pykdtree_0.2-1_i386.deb Fast kd-tree implementation with OpenMP-enabled queries
python-pyke-doc_1.1.1-5_all.deb Prolog-inspired Python logic programming toolkit (documentation)
python-pyke_1.1.1-5_all.deb Prolog-inspired Python logic programming toolkit
python-pykickstart_1.83-2_all.deb Python library for manipulating kickstart files
Advertisement
Advertisement